<?php
  require_once 'app/model/db.class.php';
  require_once 'app/model/rangos.php';

  $obj = new database();

   $notas=explode("/",$_POST['notas']);

   $obj->conectar(); $obj->consulta("set names 'utf8'");

   //---VERIFICAMOS SI EXISTE LA PLANILLA-----

   $bol = $obj->consulta("select * from boletin where 
                          grado='".$_SESSION['grado']."' 
                          and curso='".$_SESSION['curso']."' 
                          and periodo='".$_SESSION['periodo']."' 
                          and asignatura='".$_SESSION['asignatura']."' 
                          and jornada='".$_SESSION['jornada']."'");

   $val = $obj->fetch_assoc($bol);
   $planilla=$val['numero'];


    $n_secuencial=0;
    for ($x=0;$x<count($notas)-1;$x++){
                
         $info_alumno=explode("*",$notas[$x]);

         $detbol = $obj->consulta("SELECT * from detalleboletin where boletin='".$planilla."' and alumno='".$info_alumno[0]."'");            
         $n=$obj->numero_de_filas($detbol);

         if ($n==1){
             $row1 = $obj->fetch_assoc($detbol);
             $n_secuencial=$row1['secuencial'];
             $obj->consulta("UPDATE detalleboletin SET superacion='".$info_alumno[1]."' WHERE secuencial='".$n_secuencial."' AND alumno='".$info_alumno[0]."'");
         }                
    }     
       
        echo "REGISTROS GRABADOS";

    $obj->disconnect();

?>